# DataExchange
TKSTEPBase
StepShape

# StepShape_Face Class Reference

`#include <StepShape_Face.hxx>`

Inheritance diagram for StepShape_Face:

[legend]

## Public Member Functions

Standard_EXPORT | StepShape_Face ()
| Returns a Face .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepShape_HArray1OfFaceBound)&aBounds)
virtual Standard_EXPORT void | SetBounds (const Handle(StepShape_HArray1OfFaceBound)&aBounds)
virtual Standard_EXPORT Handle_StepShape_HArray1OfFaceBound | Bounds () const
virtual Standard_EXPORT Handle_StepShape_FaceBound | BoundsValue (const Standard_Integer num) const
virtual Standard_EXPORT Standard_Integer | NbBounds () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepShape_HArray1OfFaceBound | bounds

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_Face::StepShape_Face | ( |  | ) |

## Member Function Documentation

virtual Standard_EXPORT Handle_StepShape_HArray1OfFaceBound StepShape_Face::Bounds | ( |  | ) | const`[virtual]`

| Reimplemented in StepShape_OrientedFace.

virtual Standard_EXPORT Handle_StepShape_FaceBound StepShape_Face::BoundsValue | ( | const Standard_Integer | num | ) | const`[virtual]`

| Reimplemented in StepShape_OrientedFace.

Standard_EXPORT const StepShape_Face::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepShape_TopologicalRepresentationItem. Reimplemented in StepShape_AdvancedFace, StepShape_FaceSurface, StepShape_OrientedFace, and StepShape_Subface.

virtual Standard_EXPORT void StepShape_Face::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepShape_HArray1OfFaceBound)& | aBounds
| ) | `[virtual]`

| Reimplemented in StepShape_FaceSurface, and StepShape_OrientedFace.

virtual Standard_EXPORT void StepShape_Face::Init | ( | const Handle(TCollection_HAsciiString)& | aName | ) | `[virtual]`

| Reimplemented from StepRepr_RepresentationItem.

virtual Standard_EXPORT Standard_Integer StepShape_Face::NbBounds | ( |  | ) | const`[virtual]`

| Reimplemented in StepShape_OrientedFace.

virtual Standard_EXPORT void StepShape_Face::SetBounds | ( | const Handle(StepShape_HArray1OfFaceBound)& | aBounds | ) | `[virtual]`

| Reimplemented in StepShape_OrientedFace.

## Field Documentation

Handle_StepShape_HArray1OfFaceBound StepShape_Face::bounds `[private]`

The documentation for this class was generated from the following file:

- StepShape_Face.hxx